function ajaxCheckToken() {
	var data = new Object;
	data.mode = "CHECK_TOKEN";
	var retJSON = $.parseJSON(doAjax(data));
	return retJSON;
}
function ajaxGetUserData(username, replPattern) {
	var data = new Object;
	data.mode = "GET_USERDATA";
	data.username = username;
	data.replPattern = replPattern;
	var retJSON = $.parseJSON(doAjax(data));	
	return retJSON;
}	

function ajaxGetDeviceData(replPattern) {
	var data = new Object;
	data.mode = "GET_DEVICEDATA";
	data.replPattern = replPattern;
	var retJSON = $.parseJSON(doAjax(data));	
	return retJSON;
}	

function ajaxLogin(username, password) {
	var data = new Object;
	data.mode = "LOGIN";
	data.username = username;
	data.hashcode = $.md5(password);
	var retJSON = $.parseJSON(doAjax(data));	
	return retJSON;
}	

function ajaxLogout() {
	var data = new Object;
	data.mode = "LOGOUT";
	var retJSON = $.parseJSON(doAjax(data));	
	return retJSON;
}	

function ajaxChangePW(username, password, newPW, removeResetPW) {
	var data = new Object;
	data.mode = "CHANGE_PASSWORD";
	data.username = username;
	data.hashcode = $.md5(password);
	data.newHashcode = $.md5(newPW);
	data.removeResetPW = removeResetPW;
	var retJSON = $.parseJSON(doAjax(data));	
	return retJSON;
}	

function ajaxResetPW(username) {
	var data = new Object;
	data.mode = "RESET_PASSWORD";
	data.username = username;
	var retJSON = $.parseJSON(doAjax(data));	
	return retJSON;
}	

function ajaxReadStatus() {
	var data = new Object;
	data.mode = "READ_STATUS";
	var retJSON = $.parseJSON(doAjax(data));	
	return retJSON;
}

function ajaxReadConfig() {
	var data = new Object;
	data.mode = "READ_CONFIG";
	var retJSON = $.parseJSON(doAjax(data));
	return retJSON;	
}

//function ajaxSaveConfig(arrSaveConfig, username, password) {
function ajaxSaveConfig(arrSaveConfig, hashcode) {
	var data = new Object;
	data.mode = "SAVE_CONFIG";
	//data.username = username;
	data.hashcode = hashcode;
	data.arrSaveConfig = arrSaveConfig;
	var retJSON = $.parseJSON(doAjax(data));	
	return retJSON;
}

function doAjax(data) {
	var ret;
	
	$.ajax({
			async: false,
			url: "php/dal.php",
			type : 'POST', 
			data: JSON.stringify(data),
			processData: false,
			dataType: 'text',
			contentType: 'application/json; charset=utf-8',
			success: function(response) {
				//alert(response);
				ret = response;
			}
	});

	return ret;
}	







	